# Yahoo! UI Library

### TreeView Widget 2.2.2

Yahoo! UI Library > treeview > YAHOO.widget.MenuNode

## Class YAHOO.widget.MenuNode - extends YAHOO.widget.TextNode

A menu-specific implementation that differs from TextNode in that only one sibling can be expanded at a time.

### Constructor

YAHOO.widget.MenuNode `( oData , oParent , expanded )`

Parameters:
  `oData <object>` a string or object containing the data that will be used to render this node
  `oParent <YAHOO.widget.Node>` this node's parent node
  `expanded <boolean>` the initial expanded/collapsed state

#### Properties inherited from YAHOO.widget.TextNode:

`label, labelElId, labelStyle`

#### Properties inherited from YAHOO.widget.Node:

`_dynLoad, _type, children, childrenRendered, data, dataLoader, depth, dynamicLoadComplete, expanded, hasIcon, href, iconMode, index, isLoading, multiExpand, nextSibling, nowrap, parent, previousSibling, renderHidden, target, tree`

#### Properties inherited from YAHOO.util.EventProvider:

`__yui_events, __yui_subscribers`

#### Methods inherited from YAHOO.widget.TextNode:

`getLabelEl, onLabelClick`

#### Methods inherited from YAHOO.widget.Node:

`appendChild, appendTo, applyParent, collapse toggle style., collapseAll, completeRender, expand, expandAll, getAncestor, getChildrenEl, getChildrenElId, getChildrenHtml, getDepthStyle, getEl, getElId, getHoverStyle, getHtml, getIconMode, getNodeHtml, getSiblings, getStyle, getToggleEl, getToggleElId, getToggleLink, hasChildren, hideChildren, init, insertAfter, insertBefore, isChildOf, isDynamic, isRoot, loadComplete, refresh, renderChildren, setDynamicLoad, showChildren, toggle, toString`

#### Methods inherited from YAHOO.util.EventProvider:

`createEvent, fireEvent, hasEvent, subscribe, unsubscribe, unsubscribeAll`

#### Events inherited from YAHOO.widget.Node:

`parentChange`

Copyright © 2007 Yahoo! Inc. All rights reserved.